/* $Id: InputStream.java,v 2.1 2002/06/18 07:59:10 hnetynka Exp $ */

/* This code is based on the OMG's IDL Java Language mapping
 * definitions (OMG document formal/99-06-02).
 */

package cz.cuni.sofa.lib;
import java.io.IOException;

public abstract class InputStream extends java.io.InputStream {

    public abstract boolean        read_boolean() throws IOException;
    public abstract char           read_char() throws IOException;
    public abstract char           read_wchar() throws IOException;
    public abstract byte           read_octet() throws IOException;
    public abstract short          read_short() throws IOException;
    public abstract short          read_ushort() throws IOException;
    public abstract int            read_long() throws IOException;
    public abstract int            read_ulong() throws IOException;
    public abstract long           read_longlong() throws IOException;
    public abstract long           read_ulonglong() throws IOException;
    public abstract float          read_float() throws IOException;
    public abstract double         read_double() throws IOException;
    public abstract String         read_string() throws IOException;
    public abstract String         read_wstring() throws IOException;

    public abstract void read_boolean_array(
            boolean[] value, int offset, int length) throws IOException;
    public abstract void read_char_array(char[] value, int offset, int length) throws IOException;
    public abstract void read_wchar_array(
            char[] value, int offset, int length) throws IOException;
    public abstract void read_octet_array(
            byte[] value, int offset, int length) throws IOException;
    public abstract void read_short_array(
            short[] value, int offset, int length) throws IOException;
    public abstract void read_ushort_array(
            short[] value, int offset, int length) throws IOException;
    public abstract void read_long_array(int[] value, int offset, int length) throws IOException;
    public abstract void read_ulong_array(int[] value, int offset, int length) throws IOException;
    public abstract void read_longlong_array(
            long[] value, int offset, int length) throws IOException;
    public abstract void read_ulonglong_array(
            long[] value, int offset, int length) throws IOException;
    public abstract void read_float_array(
            float[] value, int offset, int length) throws IOException;
    public abstract void read_double_array(
            double[] value, int offset, int length) throws IOException;

    public abstract cz.cuni.sofa.lib.Object read_Object() throws IOException;

  /* !!!!
    public abstract cz.cuni.sofa.Any read_any();
   */

}
