/* $Id: CompExprFixed.java,v 2.0 2002/02/15 13:54:46 hnetynka Exp $ */
package SOFA.SOFAnode.Made.CDL;
import SOFA.SOFAnode.Made.TIR.*;
import java.rmi.RemoteException;

class CompExprFixed extends CompExprOper {
  public Fixed value;
  public CompExprFixed(Fixed val) {
    super(CompExprKind.e_fixed);
    value = val;
  }

  public int type() { return CompExprKind.e_fixed; }

  public boolean isProp() { return false; }

  public EnumList nameProp(CompRepository rep) throws CDLExceptRemote, CDLExceptLock {
    EnumList l = new EnumList();
    return l;
  }

  public int isPositive() {
    return -2;
  }

  public ExprOperDef toNormal(CDLRepository rep) throws CDLExceptToNormal, CDLExceptRemote, CDLExceptLock {
    try {
      return ((Repository) rep.get_containing_repository()).create_exprfixed(new java.math.BigDecimal(value.number), value.total, value.fract);
    } catch (RemoteException e) {
      throw new CDLExceptRemote("Remote exception occured: "+e.getMessage());
    } catch (TIRExceptCreate ecr) {
      throw new CDLExceptToNormal("Can't create expression");
    }
  }
}
