/* $Id: ProviderDef.java,v 2.0 2002/02/15 13:55:13 hnetynka Exp $ */
package SOFA.SOFAnode.Made.TIR;
import java.rmi.RemoteException;

/** Interface for the <b>provider of the componets</b>. */

public interface ProviderDef extends Container, Contained {
  /** Create new amodule in this provider */
  public AModuleDef create_amodule(Identification id) throws RemoteException, TIRExceptCreate, TIRExceptLock ;
  /** Create new architecture in this provider */
  public ArchitectureDef create_architecture(Identification id, FrameDef frame, boolean system) throws RemoteException, TIRExceptCreate, TIRExceptLock;
}
