/* $Id: TIRObject.java,v 2.0 2002/02/15 13:55:15 hnetynka Exp $ */
package SOFA.SOFAnode.Made.TIR;
import java.rmi.Remote;
import java.rmi.RemoteException;

/** 
    Interface <i>TIRObject</i> is the root of the interface hierarchy. 
    All interfaces of the objects in <b>TIR</b> extends this interface.
*/
public interface TIRObject extends Remote {
  /** Returns kind of the object. */
  public DefinitionKind get_def_kind() throws RemoteException;
  /** Return state of the object. */
  public StateKind get_state() throws RemoteException;
}

