/* $Id: UnionMember.java,v 2.0 2002/02/15 13:55:16 hnetynka Exp $ */
package SOFA.SOFAnode.Made.TIR;
import java.rmi.RemoteException;

/** Interface for representing members of union */
public interface UnionMember extends Contained {
  /** Name of the member. */
  public String name() throws RemoteException;
  /** Type of the member. */
  public CDLType type() throws RemoteException;
  /** Labels for the member. */
  public ExprOperDef[] label() throws RemoteException;
}
