/* $Id: BehaviorProtocolCheckerFactory.java,v 2.0 2002/02/15 13:55:54 hnetynka Exp $ */
package SOFA.SOFAnode.Util;

/**
 * A factory for getting a checker implementing interface for behavior protocol conformance checker.
 *
 * @author  Stanislav Visnovsky
 * @version 1.0.0
 * @see BehaviorProtocolChecker
*/

public class BehaviorProtocolCheckerFactory {

/**
 * Creates and returns an implementation of BehaviorProtocolChecker intarface.
 *
 * @author      Stanislav Visnovsky
 * @version     1.0.0
*/
  public static BehaviorProtocolChecker getChecker() {
    return new checker();
  }
}
