/* $Id: CNDeplDock.java,v 1.5 2002/07/31 10:15:38 hnetynka Exp $ */
package SOFA.Connector.Boot;

/** Connector interface for depldock.
  *
  * @author Petr Hnetynka
  */
public interface CNDeplDock {
  SOFA.SOFAnode.Run.Deployment.TechnologyDescriptor[] describeUnderlyingEnvironment() ;
  SOFA.Connector.Reference instantiate(SOFA.SOFAnode.Run.Deployment.DeploymentDescriptor dd, String name) throws SOFA.SOFAnode.Run.Deployment.DeploymentException;

  String[] namesOfAllRunningComponents();
  String[] namesOfAllRunningApplications();
  SOFA.Connector.Reference getReference(String name) throws SOFA.SOFAnode.Run.Deployment.DeploymentException;
  void removeComponent(String name) throws SOFA.SOFAnode.Run.Deployment.DeploymentException;
}
