/* $Id: CompVGElem.java,v 2.1 2002/05/15 14:47:34 hnetynka Exp $ */
package SOFA.SOFAnode.Made.CDL;
 
class CompVGElem extends CompObjectIm {
  CompExprOper expr1;
  CompExprOper expr2;
  public CompVGElem(CompExprOper ex1, CompExprOper ex2) {
    super(ObjectsKind.o_ValueGenElem);
    expr1 = ex1;
    expr2 = ex2;
  }

  public void checkConsist(EnumList props, CompRepository rep) throws CDLExceptCheck, CDLExceptLock, CDLExceptRemote {
    if (!CompExprOper.testPropInExpr(props, expr1.nameProp(rep)))
      throw new CDLExceptCheck("Unknown property");
    if (!CompExprOper.testPropInExpr(props, expr2.nameProp(rep)))
      throw new CDLExceptCheck("Unknown property");
  }

  public String toString() {
    return expr1.toString() + ".." + expr2.toString();
  }
}
