/* $Id: NBMain.java,v 2.0 2002/02/15 13:54:52 hnetynka Exp $ */
package SOFA.SOFAnode.Made.CDL;
import java.io.*;
import SOFA.SOFAnode.Made.TIR.*;
import java.rmi.server.RemoteObject;
import java.rmi.Remote;

/** class for launching external compiler from NB */
public class NBMain {
  public static void main(String[] argv) {
    try {
      Output.setOut(new ConsoleLogger());
      System.setSecurityManager(new java.rmi.RMISecurityManager());

      String reference = argv[0];
      byte[] bArr = new byte [reference.length() / 2];
      for(int i=0;i<reference.length();i+=2) {
        StringBuffer a = new StringBuffer();
        a.append(reference.charAt(i));
        a.append(reference.charAt(i+1));
        bArr[i/2] = (byte) (Integer.parseInt(a.toString() ,16) - 128);
      }
      ObjectInputStream ostr = new ObjectInputStream(new ByteArrayInputStream(bArr));
      Object obj = ostr.readObject();
      ostr.close();
      bArr = null;

      WorkRepository wRep = (WorkRepository) obj;

      Output.out.println(wRep.workIdent());
      
      File fname = new File(argv[1]);
      parser.doParse(new FileInputStream(fname),fname.getName(), null , wRep, false, false );

    } catch  (Exception e) {
      Output.out.println("Exception: "+e.getMessage());
      e.printStackTrace();
      System.exit(1);
    }
 
  }
}
