/* $Id: Scopename.java,v 2.0 2002/02/15 13:54:53 hnetynka Exp $ */
package SOFA.SOFAnode.Made.CDL;

class Scopename {
  public List names;

  public Scopename() {
    names = new List();
  }

  public void addScope(String name) {
    if (name != null && name.length()!=0) {
      names.add(name);
    }
  }

  public void prependScope(String name) {
    if (name != null && name.length()!=0) {
      names.prepend(name);
    }
  }

  public long length() { return names.size(); }

  public void removeScope() {
    names.toLast();
    names.removeAkt();
  }

  public String toString() {
    StringBuffer ret = new StringBuffer("::");
    names.toFirst();
    for (int i=0;i<names.size();i++) {
      ret.append((String) names.aktual());
      if (i!= names.size()-1)
        ret.append("::");
      names.toNext();
    }
    return ret.toString();
  }

  public boolean equal(Scopename s) {
    if (names.size() != s.names.size())
      return false;
    names.toFirst();
    s.names.toFirst();
    for(int i=0;i<names.size();i++) {
      if (((String) names.aktual()).compareTo(((String) s.names.aktual()))!=0)
        return false;
      names.toNext();
      s.names.toNext();
    }
    return true;
  }
}
