/* $Id: Mapping.java,v 2.1 2002/06/16 15:57:26 hnetynka Exp $ */
package SOFA.SOFAnode.Made.CodeGen;

/** Provides information about mapping CDL types to concrete implementation language.
  *
  * @author Petr Hnetynka
  */
public interface Mapping {
  
  /** Returns name of the type in the concrete implementation language.
    * @param type    cdl type (TIR object)
    * @return   string with type name or null
    */
  String getImplTypeName(SOFA.SOFAnode.Made.TIR.CDLType type);

}
