/* $Id: AModuleDef.java,v 2.0 2002/02/15 13:55:03 hnetynka Exp $ */
package SOFA.SOFAnode.Made.TIR;
import java.rmi.RemoteException;

/** Interface for the architecture modules. */
public interface AModuleDef extends Container, Contained {
  /** Create new amodule in this amodule. */
  public AModuleDef create_amodule(Identification id) throws RemoteException, TIRExceptCreate, TIRExceptLock;
  /** Create new architecture in this amodule. */
  public ArchitectureDef create_architecture(Identification id, FrameDef frame, boolean system) throws RemoteException, TIRExceptCreate, TIRExceptLock;
}
