/* $Id: BindOperSub.java,v 2.0 2002/02/15 13:55:05 hnetynka Exp $ */
package SOFA.SOFAnode.Made.TIR;
import java.rmi.RemoteException;

/** bind operand for the subcomponents */
public interface BindOperSub extends BindOperDef {
  /** elements of the subcomponent specification */
  BindType[] subs() throws RemoteException;
  /** elements of the bind operand */
  BindType[] elements() throws RemoteException;

  /** add normal type of the bind element */
  public BindTypeNormal add_bindtypenormal(String name) throws RemoteException, TIRExceptCreate;
   /** add array type of the bind element */
  public BindTypeArray add_bindtypearray(String name, ExprOperDef[] indexes) throws RemoteException, TIRExceptCreate; 

   /** add normal type of the subcomponent specification */
  public BindTypeNormal add_subnormal(String name) throws RemoteException, TIRExceptCreate;
   /** add array type of the subcomponent specification */
  public BindTypeArray add_subarray(String name, ExprOperDef[] indexes) throws RemoteException, TIRExceptCreate;
}
